#include <pch.hpp>

#include "open_engine/events/application_event.hpp"

namespace OpenEngine {
    std::string WindowResizeEvent::ToString() const
    {
        std::stringstream ss;
        ss << "WindowResizeEvent: " << width << ", " << height;
        return ss.str();
    }

    std::string WindowCloseEvent::ToString() const
    {
        std::stringstream ss;
        ss << "WindowCloseEvent";
        return ss.str();
    }

    std::string AppUpdateEvent::ToString() const
    {
        std::stringstream ss;
        ss << "AppUpdateEvent";
        return ss.str();
    }
}
